org.richfaces.component

## Class SequenceIterationStatus

- java.lang.Object
- - org.richfaces.component.SequenceIterationStatus

- All Implemented Interfaces:
    Serializable

      public final class SequenceIterationStatus
      extends Object
      implements Serializable

  Provides access to the iteration status of a sequence.
  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceIterationStatus(Integer begin, Integer end, int index, Integer rowCount)` The SequenceIterationsStatus constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBegin()`
    `int` | `getCount()`
    `Object` | `getCurrent()` Currently unused
    `Integer` | `getEnd()`
    `int` | `getIndex()`
    `Integer` | `getRowCount()`
    `Integer` | `getStep()` Used for complex components
    `boolean` | `isEven()`
    `boolean` | `isFirst()`
    `boolean` | `isLast()`
    `boolean` | `isOdd()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceIterationStatus

          public SequenceIterationStatus(Integer begin,
                                         Integer end,
                                         int index,
                                         Integer rowCount)

      The SequenceIterationsStatus constructor.
      Parameters:
        `begin` - the index of the first row of the current page of the table
        `end` - the index of the last row of the current page of the table
        `index` - the index of the current row
        `rowCount` - the number of rows in the model

  - ### Method Detail

    - #### getBegin

          public Integer getBegin()

      Returns:
        the index of the first row of the current page of the table

    - #### getCount

          public int getCount()

      Returns:
        the number of rows shown on the current page

    - #### getCurrent

          public Object getCurrent()

      Currently unused
      Returns:
        null

    - #### getEnd

          public Integer getEnd()

      Returns:
        the index of the last row of the current page of the table

    - #### getIndex

          public int getIndex()

      Returns:
        the index of the current row

    - #### getStep

          public Integer getStep()

      Used for complex components
      Returns:
        1

    - #### isFirst

          public boolean isFirst()

      Returns:
        true if the current row is the first row on the page, false otherwise

    - #### isLast

          public boolean isLast()

      Returns:
        true if the current row is the last row on the page, false otherwise

    - #### getRowCount

          public Integer getRowCount()

      Returns:
        the number of rows in the model

    - #### isEven

          public boolean isEven()

      Returns:
        true if the current row has an even numbered index, false otherwise

    - #### isOdd

          public boolean isOdd()

      Returns:
        true if the current row has an odd numbered index, false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the iteration status state

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.